; homeall.g
; called to home all axes
;
; generated for E-moc X5 v2.1 by HRMK

G91               ; relative positioning

M201.1 X150 Y150 Z150; set reduced acceleration [mm/s2]


;Z-axis

M400              ; wait for current moves to finish

M913 Z45          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 Z500. F2000 ; move to Z axis endstop and stop there (first pass)

M400              ; wait for current moves to finish

M913 Z100         ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H2 Z-5. F6000  ; go back a few mm

M400              ; wait for current moves to finish

M913 Z45          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 Z200.F2000  ; move to Z axis endstop once more (second pass)

M400              ; wait for current moves to finish

M913 Z100         ; set motor percentage of normal current[%]


;Y-axis

M913 Y45          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 Y300 F2000  ; move to Y axis endstop and stop there (first pass)

M400              ; wait for current moves to finish

M913 Y100         ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H2 Y-5 F4000   ; go back a few mm

M400              ; wait for current moves to finish

M913 Y45          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 Y300 F2000  ; move to Y axis endstop and stop there (second pass)

M400              ; wait for current moves to finish

M913 Y100         ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H2 Y-5 F4000   ; go back a few mm

M400              ; wait for current moves to finish

M913 Y45          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 Y20 F2000   ; move to Y axis endstop and stop there (third pass)

M400              ; wait for current moves to finish

M913 Y100         ; set motor percentage of normal current[%]


;X-axis

M913 X20          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 X350 F2000  ; move to X axis endstop and stop there (first pass)

M400              ; wait for current moves to finish

M913 X100         ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H2 X-5 F4000   ; go back a few mm

M400              ; wait for current moves to finish

M913 X20          ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H1 X10 F2000   ; move to X axis endstop once more (second pass)

M400              ; wait for current moves to finish

M913 X100         ; set motor percentage of normal current[%]

M400              ; wait for current moves to finish

G1 H2 X-16 F4000  ; go back a few mm

M201.1 X400 Y400 Z400; set reduced acceleration [mm/s2]


;A-axis

G1 H1 A-200 F1000 ; move to A axis endstop and stop there (first pass)

G1 H2 A5 F1000	  ; go back a few deg

G1 H1 A-200 F800  ; move to A axis endstop once more (second pass)

G1 H2 A5 F1000	  ; go back a few deg


;C-axis

G1 H1 C-360 F1800 ; move to C axis endstop and stop there (first pass)

G1 H2 C5 F1800	  ; go back a few deg

G1 H1 C-200 F500  ; move to C axis endstop once more (second pass)

G1 H2 C3		  ; go back a few deg[C3 is tuned value]



G90        	      ; absolute positioning

G92 X0            ; set X position to axis minimum

G92 Y0            ; set Y position to axis minimum

G92 Z0            ; set Z position to axis minimum

G92 A-85          ; set A position to axis minimum

G92 C0            ; set C position to axis minimum

G90G0A0			  ; go back to A0