; G32.1.g
; called to perform automatic bed compensation via G32.1
;
; generated for E-moc X5 v2.1 by HRMK

M561 ; clear any bed transform

M201.1 X100 Y100 Z100       ;Set reduced acceleration [mm/s2]

G90 G53 G0 Z0			    ; Evacuate from work

G53 G0 A0 C0


;A-axis

G90 G53 G0 X-164 Y-70		; Move to "A-axis point 0"

G30 P0 X-164 Y-70 Z-9999	; Prove "A-axis point 0"

G30 P1 X-164 Y-190 Z-9999	; Prove "A-axis point 1"

M673A				        ; First adjust degree of A-axis

G30 P0 X-164 Y-70 Z-9999	; Prove "A-axis point 0"

G30 P1 X-164 Y-190 Z-9999	; Prove "A-axis point 1"

M673A                       ; Second adjust degree of A-axis

;G30 P0 X-164 Y-70 Z-9999	; Prove "A-axis point 0"    (option)

;G30 P1 X-164 Y-190 Z-9999	; Prove "A-axis point 1"    (option)

;M673A				        ; Third adjust degree of A-axis     (option)

G10 L20 P1 A0			    ; Overwrite A-axis origin of G54 coordinate system

G10 L20 P9 A0			    ; Overwrite A-axis origin of G59.3 coordinate system


;C-axis

G91 G0 X-15 Y165 A-90		; Move to "C-axis point 0"

G30 P0 X-179 Y-25 Z-9999	; Prove "C-axis point 0"

G30 P1 X-149 Y-25 Z-9999	; Prove "C-axis point 1"

M673C				        ; First adjust degree of C-axis

G30 P0 X-179 Y-25 Z-9999	; Prove "C-axis point 0"

G30 P1 X-149 Y-25 Z-9999	; Prove "C-axis point 1"

M673C				        ; Second adjust degree of C-axis

G30 P0 X-179 Y-25 Z-9999	; Prove "C-axis point 0"

G30 P1 X-149 Y-25 Z-9999	; Prove "C-axis point 1"

M673C				        ; Third adjust degree of C-axis

G10 L20 P1 C0			    ; Overwrite C-axis origin of G54 coordinate system

G10 L20 P9 C0			    ; Overwrite C-axis origin of G59.3 coordinate system


;Z-axis

G91 G0 A90		            ; Move to "point for tool length adjust "

G91 G0 X-15 Y-45

G90 G53 G0 Z-100

G38.2 Z-320			        ; Prove "Z-axis" to C-axis table

G91 G0 Z0.8			        ; Move back Z-axis a bit 

G38.2 Z-320			        ; Prove "Z-axis" to C-axis table

G10 L20 P1 Z0			    ; Overwrite Z-axis origin of G54 coordinate syste

G10 L20 P9 Z0			    ; Overwrite Z-axis origin of G59.3 coordinate system

G91 G0 Z5			        ; Evacuate from work


;Y-axis

G90 G53 G0 X-164 Y0		    ; Move to “point for prove Y-axis”

G91 G0 Z-15			        ; Descend Z-axis

G38.2 Y-295				    ; Prove Y-axis

G91 G00 Y2 

G38.2 Y-295				    ; Prove Y-axis

G10 L20 P1 Y{105+param.R}			    ; Overwrite Y-axis origin of G54 coordinate system

G10 L20 P9 Y{105+param.R}			    ; Overwrite Y-axis origin of G59.3 coordinate system

G91 G0 Y5			        ; Move back Y-axis


;X-axis

G0 X-40				        ; Move to “point for prove X-axis”

G0 Y-10

G38.2 X0				    ; Prove X-axis

G91 G00 X-2

G38.2 X0				    ; Prove X-axis

G10 L20 P1 X{-20-param.R}			    ; Overwrite X-axis origin of G54 coordinate system

G10 L20 P9 X{-20-param.R}			    ; Overwrite X-axis origin of G59.3 coordinate system

G0 X-10				        ; Move back X-axis



G90 G53 G0 Z0			    ; All axis go back to home position

G90 G53 G0 X0 Y0



M201.1 X400 Y400 Z400       ;Set reduced acceleration [mm/s2]

G90 G54

; probe the bed and enable compensation
